> For the complete documentation index, see [llms.txt](https://rimplenet.gitbook.io/rimplenet/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://rimplenet.gitbook.io/rimplenet/api-reference/wallet/get-single-wallet.md).

# Get Single Wallet

This endpoint fetches the specified wallet

{% hint style="info" %}

{% endhint %}

## Gets single wallet

<mark style="color:blue;">`GET`</mark> `https://example.com/wp-json/rimplenet/v1/wallets`

{% tabs %}
{% tab title="200: OK Wallets retrieved" %}

```php
{
    "status_code": 200,
    "status": true,
    "message": "Wallet Retrieved",
    "data": {
        "post_id": 134,
        "wallet_id": "NGN",
        "wallet_name": "Naira",
        "wallet_symbol": "#",
        "wallet_max_wdr_amount": "999999999",
        "wallet_min_wdr_amount": "0",
        "wallet_symbol_position": "left",
        "wallet_decimal": "2",
        "wallet_note": "Nit",
        "wallet_type": "fiat"
    }
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
To view request params, click on the arrow (>) at the right hand side of the endpoint url to expand or collapse
{% endhint %}

{% tabs %}
{% tab title="200 OK" %}

```php
{
    "status_code": 200,
    "status": true,
    "message": "Wallet Retrieved",
    "data": {
        "post_id": 134,
        "wallet_id": "NGN",
        "wallet_name": "Naira",
        "wallet_symbol": "#",
        "wallet_max_wdr_amount": "999999999",
        "wallet_min_wdr_amount": "0",
        "wallet_symbol_position": "left",
        "wallet_decimal": "2",
        "wallet_note": "Nit",
        "wallet_type": "fiat"
    }
}
```

{% endtab %}
{% endtabs %}
